Bug 815666 - luci and unfencing when delay set in fence method
Summary: luci and unfencing when delay set in fence method
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.2
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-24 08:14 UTC by Kapetanakis Giannis
Modified: 2013-02-21 08:22 UTC (History)
3 users (show)

Fixed In Version: luci-0.26.0-30.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:22:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0309 normal SHIPPED_LIVE luci bug fix and enhancement update 2013-02-20 20:35:24 UTC

Description Kapetanakis Giannis 2012-04-24 08:14:46 UTC
Hi,

I've added 'delay' option yesterday in my <fence><method><device> in /etc/cluster/cluster.conf and luci now thinks that I don't have unfence enabled for this device

      <clusternode name="server1" nodeid="1">
         <fence>
            <method name="server1_san">
               <device delay="10" name="san" port="4"/>
               <device delay="10" name="san" port="5"/>
            </method>
            <method name="server1_drac">
               <device delay="10" name="fence_drac_server1"/>
            </method>
         </fence>
         <unfence>
            <device action="enable" name="san" option="enable" port="4"/>
            <device action="enable" name="san" option="enable" port="5"/>
         </unfence>
      </clusternode>
      <clusternode name="server2" nodeid="2">
         <fence>
            <method name="server2_san">
               <device name="san" port="6"/>
               <device name="san" port="7"/>
            </method>
            <method name="server2_drac">
               <device name="fence_drac_server2"/>
            </method>
         </fence>
         <unfence>
            <device action="enable" name="san" option="enable" port="6"/>
            <device action="enable" name="san" option="enable" port="7"/>
         </unfence>
      </clusternode>
   </clusternodes>
...
<fencedevice agent="fence_brocade" ipaddr="xx.xx.xx.xx" login="user" name="san" passwd="pass"/>

For server1 it reports:

Fence Devices
Method 		
server1_san 		Move Down 	Remove
	
Name 	Type/Values 	
san 	Brocade Switch 	
	delay : 10
	port : 4
san 	Brocade Switch 	
	delay : 10
	port : 5 

If you click on "san" then unfencing is not enabled. However unfencing works.
When cman starts unfencing is performed.

For server2 it reports:
Fence Devices

Method 		
server2_san 		Move Down 	Remove
	
Name 	Type/Values 	
san 	Brocade Switch 	
	port : 6
	unfencing enabled
san 	Brocade Switch 	
	port : 7
	unfencing enabled

regards,

Giannis
ps.
luci-0.23.0-32.el6
cman-3.0.12.1-23

Comment 4 RHEL Product and Program Management 2012-07-10 05:51:15 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 5 RHEL Product and Program Management 2012-07-10 23:55:19 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 7 Ryan McCabe 2012-10-08 13:58:11 UTC
commit cc1452e01504725f01bc5636f5e17335d5d1fad0
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Mon Oct 8 09:52:45 2012 -0400

    luci: Fix unfence display on node page
    
    When looking for <device> blocks that match <unfence> blocks, only
    compare attributes that are pertinent for determining whether
    one blocks corresponds to the other.
    
    Resolves: rhbz#815666
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

Comment 13 Jan Pokorný [poki] 2013-01-30 15:39:05 UTC
I am not completely sure such config with "delay" would successfully
validate (ccs_config_validate, triggered also upon starting the cluster).

Comment 15 Jan Pokorný [poki] 2013-02-08 11:58:33 UTC
Re [comment 14]:
Well, it would indeed validate because restrictions based on universal
references (e.g., through a custom identifier) and perhaps even based
on known attribute value (to be found out) cannot be enforced in RELAX NG
schema and the respective validating test is like this:

  if the set of attributes w/o "name" is a subset of attributes sets
  defined for particular fence agents, then the result of this
  validation part is OK

In the case in [comment 0], it will pass because this condition holds,
for example for the set of attributes defined for "fence_apc" (which
includes both "port" and "delay").

As a consequence, I filed a new bug in the current "semantic validation"
wave: [bug 909133].

Comment 16 errata-xmlrpc 2013-02-21 08:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0309.html


Note You need to log in before you can comment on or make changes to this bug.